List connectors
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListConnectors \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListConnectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListConnectors"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListConnectors")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListConnectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connectors": [
{
"name": "<string>",
"type": "<string>",
"enabled": true,
"url": "<string>",
"auth": {
"type": "<string>",
"token": "<string>",
"headers": {},
"audience": "<string>",
"scopes": "<string>",
"idpId": "<string>",
"oauthClientId": "<string>",
"oauthClientSecret": "<string>",
"oauthAuthorizeEndpoint": "<string>",
"oauthTokenEndpoint": "<string>",
"tokenSet": true,
"headersSet": true,
"oauthClientSecretSet": true,
"clearCredentials": true,
"headerKeys": [
"<string>"
],
"clearHeaders": true
},
"stdio": {
"command": "<string>",
"args": [
"<string>"
]
},
"description": "<string>",
"serverJson": "<string>",
"authMethod": "<string>",
"allowUserOverride": true,
"kind": "<string>",
"iconUrl": "<string>",
"spec": "<string>",
"specFetchedAt": "<string>",
"displayName": "<string>",
"configFields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"required": true,
"secret": true,
"scope": "<string>"
}
],
"id": "<string>",
"oauthRedirectUri": "<string>",
"oauthCallbackKey": "<string>"
}
],
"oauthRedirectUri": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}List connectors
List configured connectors and built-in tool toggles
Requires the connectors:read scope.
GET
/
conduit.v1.ConduitService
/
ListConnectors
List connectors
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListConnectors \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListConnectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListConnectors"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListConnectors")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListConnectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connectors": [
{
"name": "<string>",
"type": "<string>",
"enabled": true,
"url": "<string>",
"auth": {
"type": "<string>",
"token": "<string>",
"headers": {},
"audience": "<string>",
"scopes": "<string>",
"idpId": "<string>",
"oauthClientId": "<string>",
"oauthClientSecret": "<string>",
"oauthAuthorizeEndpoint": "<string>",
"oauthTokenEndpoint": "<string>",
"tokenSet": true,
"headersSet": true,
"oauthClientSecretSet": true,
"clearCredentials": true,
"headerKeys": [
"<string>"
],
"clearHeaders": true
},
"stdio": {
"command": "<string>",
"args": [
"<string>"
]
},
"description": "<string>",
"serverJson": "<string>",
"authMethod": "<string>",
"allowUserOverride": true,
"kind": "<string>",
"iconUrl": "<string>",
"spec": "<string>",
"specFetchedAt": "<string>",
"displayName": "<string>",
"configFields": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"required": true,
"secret": true,
"scope": "<string>"
}
],
"id": "<string>",
"oauthRedirectUri": "<string>",
"oauthCallbackKey": "<string>"
}
],
"oauthRedirectUri": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Query Parameters
Define which encoding or 'Message-Codec' to use
Available options:
proto, json Specifies if the message query param is base64 encoded, which may be required for binary data
Which compression algorithm to use for this request
Available options:
identity, gzip, br Define the version of the Connect protocol
Available options:
v1 Was this page helpful?